• 로그인지금 시작하세요

사용자의 편의를 위해 제공되는 기계 번역입니다.

영문본과 번역본이 일치하지 않는 경우 영문본이 우선합니다. 보다 자세한 내용은 이 페이지를 방문하시기 바랍니다.

문제 신고

SPA 호환성 및 요구 사항

브라우저 모니터링을 위한 단일 페이지 애플리케이션(SPA) 모니터링을 설정하려면 앱이 이러한 SPA 모니터링 요구 사항을 충족하는지 확인하십시오.

브라우저 에이전트 버전

SPA 모니터링에는 브라우저 에이전트 버전 885 이상 에서 사용할 수 있는 브라우저 스니펫의 SPA 특정 버전이 필요합니다.

브라우저 유형

SPA 모니터링에는 addEventListener 브라우저 API탐색 타이밍 API 가 필요합니다. 두 API 모두 Google Chrome, Mozilla Firefox, Apple Safari 및 Microsoft Internet Explorer(IE) 버전 9 이상을 포함한 모든 최신 브라우저에서 사용할 수 있습니다.

프레임워크 요구 사항

SPA 계측은 저수준 브라우저 API를 래핑하여 작동하므로 프레임워크에 구애받지 않습니다. SPA 계측은 Angular, Backbone, Ember 및 React와 같은 대부분의 SPA 프레임워크와 호환됩니다. 또한 JSONP를 사용하여 이루어진 요청을 계측할 수 있습니다.

다음은 알려진 호환성 문제입니다.

  • 애플리케이션에서 AngularJS를 사용하고 브라우저의 SPA 모니터링 기능을 사용하려는 경우 Zone.js 버전 0.6.18-0.6.24는 SPA 에이전트와 호환되지 않습니다.
  • html2pdf.js 라이브러리는 SPA 에이전트와 호환되지 않습니다.

해시 조각 수집 시 보안

New Relic은 경로 변경 URL에서 해시 조각을 수집하고 저장합니다. 해시를 사용하여 비공개 또는 민감한 데이터를 전달하는 경우 해당 데이터가 New Relic 계정 사용자에게 표시될 수 있습니다. 데이터 수집 및 보고에 대한 브라우저의 보안 지침을 따르십시오.

Copyright © 2022 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.